/* CSS RESET */

*,
*:before,
*:after {
  box-sizing: border-box;
}

* {
  margin: 0;
  line-height: calc(1em + 0.5rem);
}

html,
body {
  height: 100%;
}

img,
picture {
  display: block;
  max-width: 100%;
}

/* CUSTOM CSS */

main {
  display: flex;
  flex-direction: row;
}

#container {
  display: flex;
  flex-wrap: wrap;

  /* max-width: 60%; */
  max-height: 100vh;
  overflow-y: scroll;
}

#create-meme {
  min-width: 40%;
  display: flex;
  flex-direction: column;
  align-items: center;
}

#created-image {
  width: 100%;
  max-width: 500px;
  max-height: 500px;
}

/* MEME GALLERY */

figure {
  border: thin #c0c0c0 solid;
  display: flex;
  flex-flow: column;
  padding: 5px;
  max-width: 220px;
  margin: auto;
  cursor: pointer;
}

figure > img {
  max-width: 220px;
  max-height: 150px;
}

figcaption {
  background-color: #222;
  color: #fff;
  font: italic smaller sans-serif;
  padding: 3px;
  text-align: center;
}

/* FORM */

form.form {
  display: table;
}

div.form {
  display: table-row;
}

label,
input {
  display: table-cell;
  margin-bottom: 10px;
}

label {
  padding-right: 10px;
}
